Get duplicate end users for an end user
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/duplicate_end_users \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/duplicate_end_users"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/duplicate_end_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"duplicates": [
{
"created": "2026-09-02T21:51:57.900614",
"end_user_heron_id": "eus_abc123",
"name": "Acme Corp"
}
]
}EndUsers
Get duplicate end users for an end user
Find duplicate end users for the given end user by matching on EIN (federal_tax_id) or normalized legal business name. Only returns duplicates within the same user (lender). Matching strategy: (1) Priority - Match by EIN when available (fast indexed query), (2) Fallback - Match by normalized company_legal_business_name when EIN is missing. Requires the count_duplicate_end_users feature flag to be enabled for the user.
GET
/
api
/
end_users
/
{end_user_heron_id}
/
duplicate_end_users
Get duplicate end users for an end user
Authorizations
Path Parameters
The Heron ID of the end user to check for duplicates
Response
List of duplicate end users found
List of duplicate end users with their heron IDs, names, and created dates
Show child attributes
Show child attributes
Was this page helpful?